当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]Canon iP1000打印机终于可以工作了
帖子发表于 : 2007-06-12 21:54 

注册: 2007-05-27 17:44
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
我在ubuntu704上折腾了两个星期,终于让Canon iP1000打印机工作起来了。最后找到解决问题的答案在老外那里,真要谢谢那个老外了。那老外的留言在这里:http://www.sumardi.net/2006/08/24/ip1000-driver-for-ubuntu/。另外一个老外的留言在这里:http://ubuntuforums.org/archive/index.php/t-36505.html%3C/t-49954.html。
具体解决问题的步骤如下:

首先照网友firehare的办法安装一下cups 系统

firehare 写道:
如果将该打印机放在自己的机器上能否正常驱动?
另:你是否在安装这个之前,进行了以下操作:

首先安装CUPS系统
$sudo apt-get install cupsys cupsomatic-ppd
$sudo apt-get install cupsys-bsd cupsys-driver-gimpprint

安装下面两个包,否则得不到PPD文件
$sudo apt-get install foomatic-bin foomatic-db

接着,按老外介绍的方法做:

第一步,安装rpm到deb的转换工具:

sudo apt-get install alien

第二步,下载三个驱动包:

$ wget http://www.mafia.or.id/bjfilter/bjfilte ... 2.i386.rpm
$ wget http://www.mafia.or.id/bjfilter/bjfilte ... 2.i386.rpm
$ wget http://www.mafia.or.id/bjfilter/bjfilte ... 2.i386.rpm

注意:我在下载这三个包时遇到到一些麻烦,初时我下载了几次都找不到rpm包,原来下载回来的不是软件包,而是网页文件,我只好尝试用火狐浏览器把它打开,结果打开了才是一个下载窗口。就这样才能下载。(这三个文件下载到用户文件夹。)

第三步,转换rpm包为deb包:

$ sudo alien bjfilter-common-2.50-2.i386.rpm
$ sudo alien bjfilter-pixmaip1000-2.50-2.i386.rpm
$ sudo alien bjfilter-pixmaip1000-lprng-2.50-2.i386.rpm

第四步,安装deb包:

dpkg -i bjfilter-common_2.50-3_i386.deb
dpkg -i bjfilter-pixmaip1000_2.50-3_i386.deb
dpkg -i bjfilter-pixmaip1000-lprng_2.50-3_i386.deb

第五步,编辑PPD文件:

sudo gedit /usr/share/cups/model/canonpixmaip1000.ppd

增加:
*OpenUI *CNQuality/Quality: PickOne
*DefaultCNQuality: 3
*CNQuality 2/High: "2"
*CNQuality 3/Normal: "3"
*CNQuality 4/Standard: "4"
*CNQuality 5/Economy: "5"
*CloseUI: *CNQuality

用下面几行:
*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600
*Resolution 600/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*Resolution 1200/1200 dpi: "<</HWResolution[1200 1200]>>setpagedevice"
*Resolution 2400/2400 dpi: "<</HWResolution[2400 2400]>>setpagedevice"
*CloseUI: *Resolution

替代这几行:
*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600
*Resolution 600/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*CloseUI: *Resolution

然后保存这个PPD文档。

第六步,建立关联:
$sudo ln -s /usr/lib/libpng12.so.0 /usr/lib/libpng.so.2
$sudo ln -s /usr/lib/libtiff.so.4 /usr/lib/libtiff.so.3
$sudo ln -s /usr/lib/libxml2.so.2 /usr/lib/libxml.so.1

第七步,复位cups系统:

$ sudo killall cupsd
$ sudo cupsd

第八步,用打印机配置窗口配置打印机:
系统--系统管理--打印--新建打印机--本地打印机--选中搜索到
的打印机(canonpixmaip1000 USB#1)---前进--驱动程序:
这时应该可以看到Canon PIXMA iP1000 2.5的选项,如果没有,就用“安装驱动程序”的选项,浏览--/usr/share/cups/model/ canonpixmaip1000.ppd,确认。

第九步,打印测试页。

应该就可以了,如果不行,就打开/usr/share/cups/model/文件夹 和/usr/share/cups/drives/和 /usr/share/cups/model/custom/这几个文件夹,看看里面的 PPD文件内容是否一致,如果不一致,就把/model/里面的 PPD拷贝到另外的两个地方,试试。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: [分享]Canon iP1000打印机终于可以工作了
帖子发表于 : 2009-02-15 21:40 

注册: 2009-02-11 10:10
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
我也终于搞成功了 原来是有一个包没装


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Sogou [Spider] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译